Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000242Piwigoconfigurationpublic2005.12.18 00:092012.06.27 16:20
Reportermediox 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.4.0 
Summary0000242: Centraliser toutes les miniatures dans un seul repertoire thumbnail
DescriptionPouvoir avoir un seul dossier thumbnail central.

Plutôt que d'avoir un sous-répertoire thumbnail dans chaque sous-répertoire de galleries, toutes les vignettes miniatures pourraient être contenues dans un seul répertoire thumbnail (situé à la racine de phpwebgallery par exemple). Ce répertoire unique contiendrait la même arborescence que celle du répertoire galleries pour éviter des noms de vignettes dupliqués.
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0000510)
VDigital (reporter)
2005.12.18 06:07

Je ne serai pas d'accord sur le répertoire centralisé.
Sans parler des pb de FS, pour l'administrateur il aurait toutes les miniatures et la complexité de son arborescence physique à gérer...
J'ai deux sites, l'un est site distant de l'un et l'inverse est vrai; pas facile un seul répertoire de miniatures.
Comment va-t-on gérer les nom en double?

Que thumbnail entre dans une variable $conf? Oui, c'est comme TN-.
Si admin. veut en changer, il peut, il fait quelques renames et synchronise, les commentaires ne seront pas perdus.
Que thumbnail soit unique? Non, et pour moi aucun intérêt en plus.
(0000511)
plg (manager)
2005.12.18 16:52

Vdigital, je pense que tu as lu un peu trop vite la demande de mediox. En effet, il ne propose pas d'avoir un seul répertoire avec l'intégralité des miniatures à l'intérieur, mais de séparer l'arborescence des photos et celle des miniatures. Ca pourrait donner :

galleries
`-- 2005
    |-- 01
    | `-- 23
    `-- 02
        `-- 15
thumbnails
`-- 2005
    |-- 01
    | `-- 23
    `-- 02
        `-- 15

Au lieu de :

galleries
`-- 2005
    |-- 01
    | `-- 23
    | `-- thumbnail
    `-- 02
        `-- 15
            `-- thumbnail

Je trouve l'idée intéressante mais j'ai du mal à comprendre son intérêt. mediox, pourquoi l'arborescence standard te déplaît ?

Le gros souci, c'est que pour rester cohérent, il faudrait faire de même pour pwg_hig et pwg_representative.
(0000512)
VDigital (reporter)
2005.12.18 21:23

Je veux bien avoir mal interprété. Et je me doutais de revoir l'arborescence de galleries dans thumbnails... Mais je vous explique pas la complexité à gérer.
Pour moi, ne surtout pas changer au contraire.
Que thumbnail entre dans une variable $conf? C'est toujours: Oui, c'est comme pour TN-.
Si admin. veut en changer, il le peut, il fait quelques renames et re-synchronise, les commentaires ne seront pas perdus.
Que thumbnail soit unique? Avec arborescence ou sans: C'est encore Non, et pour moi aucun intérêt en plus.
(0000513)
mediox (reporter)
2005.12.18 22:29

Bonsoir, l'intérêt (dans mon cas particulier) est de ne pas avoir des sous répertoires thumbnails et les thumnails eux mêmes mélangés avec mes vraies photos lorsque je lance un diaporama avec une visionneuse du type xnview ou acdsee. D'accord, ces softs peuvent se paramétrer pour ignorer les sous répertoires en question, mais je trouvais ça plus "propre" : d'un coté les photos, de l'autre l'application web dont les thumnails font partie au même titre que les pages de mon point de vue.

Bien sur, ne sont concernés que les gens qui comme moi hébèrgent leur photos sur un serveur apache tournant en local chez eux, le dossier des photos étant alors equivalent au contexte de PhpWebGallery.


HS : J'aurais peut être du préciser que la finalité de ma demande était (toujours lorsque l'on héberge soi même sur son disque dur) d'avoir deux arborescences distinctes entre phpwebgallery, et le dossier photos qui ne serait plus accessible directement car non déclaré en tant que contexte d'Apache. PhpWebGallery ouvrirait alors les photos avec l'utilisation de fpassthru() dans un script "proxy" permettant ainsi :
 1. de découpler totalement l'appli web et le dossier contenant les documents
 2. de renforcer la sécurité car les images et thumbnails de ne seraient plus accessibles par leur URL direct pour un utilisateur non autorisé
Je voyais l'internalisation des thumnails dans l'appli web comme une étape vers ce découplage éventuel.
(0000517)
ericFabre (reporter)
2005.12.19 21:11

cette évolution pourrait apporter un plus en terme de sécurité. c'est plutôt bien !

cependant, l'ajout de nouveaux dossiers sera un peu plus long au quotidien... et compliqué, => plus de manip = plus de possibilités d'erreurs..

si ce systeme devait être adopté, comment prévoyez vous la transformation des galeries existantes => migration des dossiers "thumbnail" et "pwg_high"..?

merci,
eric v-images.com
(0002412)
A_wikatchikaen (reporter)
2008.10.05 13:38

Bonjour à tous,

J'ai cherche cette évolution donc je relance l'idée.
Personellement j'en aurai aussi 'besoin'. Pourquoi ? parce que je n'utilise pas que PWG. Mon répertoire de photos est partagé et j'y accède avec plusieurs applis :

- Picasa quand je veux retoucher des photos
- Kphotoalbum pour trier, tagger mes photos
- PWG pour un accès public.
- et ma copine y accède une autre appli sur son PC

le problème de ces sous répertoires thumbnail est qu'ils doublent toutes les photos.

merci.
(0002417)
VDigital (reporter)
2008.10.06 14:24

En expliquant surtout ce qu'il faudrait faire vis à vis des galeries existantes et des sites distants, vous devriez ouvrir un topic du forum sur le sujet.
Bref, comment on migre d'une structure à l'autre sans se planter?
Sans explications claires et admises de tous, on ne le fera jamais et pourtant.
Merci.
(0002484)
flipflip (reporter)
2009.01.02 08:19

Salut, je tombe par hasard sur cette demande. J'ai dev un plugin copyexcel qui copie au moment de la synchro les vignettes dans un répertoire autre.
(0002485)
VDigital (reporter)
2009.01.02 10:25

Pour les sites distants ??? Une solution ?
(0002492)
sym_zo (reporter)
2009.01.10 11:09
edited on: 2009.01.10 11:10

Ma petite contribution à deux balles :-) :

1) l'utilisation de fpassthru, ce serait vraiment bien (je n'attends que ça^^). Parce que dans l'état actuel, la restriction d'accès aux photos est plus symbolique qu'autre chose. Je suis prêt à contribuer sur le sujet, j'y tiens vraiment ! (et j'ai déjà usé de ce genre de techniques).
Ouvrir un nouveau bug sur le sujet serait-il une bonne idée ?

2) séparer l'arborescence des photos de celle des miniatures serait intéressante, mais effectivement pénible à gérer pour les sites distants. Ceci dit, toutes les galeries, mêmes distantes, ont une racine : il suffirait que ce dossier "miniatures" s'y trouve.
Dès lors, je pense que'il faut laisser le choix à l'administrateur de la galerie : arborescence séparée ou pas. Du point de vue code, c'est jamais qu'un "./thumbnail" à rajouter en début de path au moment d'aller récupérer la vignette.

(0002493)
flipflip (reporter)
2009.01.10 11:20

Un autre élément à prendre en compte est la limitation du nombre de fichier dans une répertoire imposé par le système de fichier et qui varie bien sur suivant windows, mac, linux. Pour ce dernier comme il existe plusieurs système de fichier (ext3, reisfs...) chacun à ces particularité. Et encore un petit truc, plus il y a de fichiers dans un même répertoire et plus les performances baissent.

Pour le moment avec mon plugin j'ai 5000 thumbnails dans un même répertoire et je n'ai pas remarqué de baisse de perf (je suis en local sur un serveur dédié à la galerie). Après l'accès à ce répertoire n'est pas au travers de phpwebgallery mais d'une au application (excel) et il n'y a pas 50 personnes qui y accèdent en même temps.
(0002494)
sym_zo (reporter)
2009.01.10 11:32
edited on: 2009.01.10 11:32

flipflip : les messieurs proposaient de reproduire l'arborescence des galeries pour le dossier contenant les vignettes : voir la réponse de pierrick. La limitation liée au nombre de fichiers par répertoire serait donc équivalente.

Ceci dit, même en voulant mettre tout dans un répertoire --je suis contre cette idée, mais supposons-- il existe des moyens de contourner facilement le problème de cette limitation.


- Issue History
Date Modified Username Field Change
2005.12.18 00:09 mediox New Issue
2005.12.18 00:09 mediox browser => any
2005.12.18 00:09 mediox Web server => Apache 1.3.x
2005.12.18 06:07 VDigital Note Added: 0000510
2005.12.18 16:52 plg Note Added: 0000511
2005.12.18 16:52 plg Status new => acknowledged
2005.12.18 16:52 plg Product Version NA =>
2005.12.18 21:23 VDigital Note Added: 0000512
2005.12.18 22:29 mediox Note Added: 0000513
2005.12.19 21:11 ericFabre Note Added: 0000517
2008.10.05 13:38 A_wikatchikaen Note Added: 0002412
2008.10.06 14:24 VDigital Note Added: 0002417
2009.01.02 08:19 flipflip Note Added: 0002484
2009.01.02 10:25 VDigital Note Added: 0002485
2009.01.10 11:09 sym_zo Note Added: 0002492
2009.01.10 11:10 sym_zo Note Edited: 0002492
2009.01.10 11:20 flipflip Note Added: 0002493
2009.01.10 11:32 sym_zo Note Added: 0002494
2009.01.10 11:32 sym_zo Note Edited: 0002494
2012.06.27 16:20 flop25 Status acknowledged => closed
2012.06.27 16:20 flop25 Resolution open => fixed
2012.06.27 16:20 flop25 Fixed in Version => 2.4.0


Copyright © 2000 - 2019 MantisBT Team
Contact
Powered by Mantis Bugtracker